alpine(1)

NUME
alpine - un program licențiat alternativ pentru știri și poștă electronică în Internet

SINTAXĂ

alpine [ opțiuni ] [ adresa , adresa ]

alpinef [ opțiuni ] [ adresa , adresa ]

DESCRIERE

alpine este un instrument de gestionare a mesajelor orientat spre ecran. În configurația sa implicită, alpine oferă un set intenționat limitat de funcții orientate spre utilizatorul începător, dar are, de asemenea, o listă mare de funcții opționale pentru „utilizatorii avansați” și de preferințe personale. alpinef este o variantă a Alpine care utilizează mai degrabă taste funcționale decât comenzi mnemonice cu o singură literă. Setul de funcții de bază al Alpine include:

    Vizualizează, salvează, exportă, șterge, imprimă, răspunde și transmite mesaje.

    Compune mesajele într-un editor simplu (Pico) cu încadrare în cuvinte și un verificator ortografic. Mesajele pot fi amânate pentru a fi completate ulterior.

    Selectează și gestionează dosarele de mesaje pe tot ecranul.

    Agendă pentru a păstra o listă de adrese lungi sau utilizate frecvent. Se pot defini liste de distribuție personale. Adresele pot fi preluate în agendă din corespondența primită fără a fi rescrise.

    Verificarea și notificarea corespondenței noi are loc automat la fiecare 2,5 minute și după anumite comenzi, de exemplu, reîmprospătarea ecranului (Ctrl-L).

    Ecrane de ajutor on-line, sensibile la context.

alpine are suport pentru MIME (Multipurpose Internet Mail Extensions), un standard Internet pentru reprezentarea datelor multipartit și multimedia în e-mail. alpine vă permite să salvați obiectele MIME în fișiere și, în unele cazuri, poate, de asemenea, să inițieze programul corect pentru vizualizarea obiectului. Acesta utilizează fișierul de configurare mailcap al sistemului pentru a determina ce program poate procesa un anumit tip de obiect MIME. Compozitorul de mesaje Alpine nu are capacitate multimedia integrală, dar orice tip de fișier de date -inclusiv multimedia- poate fi atașat la un mesaj text și trimis folosind regulile de codificare MIME. Acest lucru permite oricărui grup de indivizi cu software de poștă electronică cu capacitate MIME (de exemplu Alpine, PC-Alpine sau multe alte programe) să facă schimb de documente formatate, foi de calcul, fișiere de imagine etc., prin intermediul poștei electronice în Internet.

alpine utilizează API-ul de mesagerie c-client pentru a accesa dosarele de poștă electronică locale și la distanță. Această bibliotecă oferă o varietate de funcții de manipulare a mesajelor de nivel scăzut, inclusiv gestionari pentru o varietate de formate diferite de fișiere de poștă electronică, precum și rutine pentru a accesa serverele de poștă electronică și de știri la distanță, utilizând IMAP (Internet Message Access Protocol) și NNTP (Network News Transport Protocol). De obicei, corespondența de ieșire este trimisă direct prin SMTP (Simple Mail Transfer Protocol).

OPȚIUNI

Opțiunile/argumentele din linia de comandă sunt:

adresa
    Trimite corespondență la adresa. Aceasta va face ca alpine să intre direct în compozitorul de mesaje.

-attach fișier
    Trimite un mesaj cu fișierul listat ca atașament.

-attachlist listă-fișiere
    Trimite un mesaj cu fișierele listate în listă-fișiere ca atașamente.

-attach_and_delete fișier
    Trimite un mesaj cu fișierul listat ca atașament și elimină fișierul după ce mesajul este trimis.

-aux director-local
    Numai PC-Alpine. Atunci când se utilizează o configurație de la distanță (-p <fișier-configurare-de_la-distanță>), aceasta indică PC-Alpine directorul local care trebuie utilizat pentru stocarea fișierelor auxiliare, cum ar fi fișierele de depanare, agendele de adrese și fișierele de semnături.

-bail
    Iese în cazul în care fișierul pinerc nu există. Acest lucru poate fi util dacă fișierul de configurare este accesat utilizând un protocol de sistem de fișiere la distanță. Dacă montarea la distanță lipsește, Alpine va ieși din aplicație în loc să creeze un nou fișier pinerc.

-c număr-context
    număr-context este numărul care corespunde colecției de dosare la care trebuie aplicat argumentul de linie de comandă -f. În mod implicit, argumentul -f se aplică primei colecții de dosare definite.

-conf
    Produce o mostră/copie proaspătă a fișierului de configurare la nivel de sistem, pine.conf, la ieșirea standard. Aceasta este diferită de fișierul .pinerc pentru fiecare utilizator.

-convert_sigs -p pinerc
    Convertește fișierele de semnături în semnături literale.

-copy_abook <adresă-locală-carte> <adresă-la-distanță-carte>
    Copiază fișierul local al agendei de adrese într-un dosar al agendei de la distanță.

-copy_pinerc <pinerc-local> <pinerc--la--distanță>
    Copiază fișierul pinerc local într-un dosar pinerc de la distanță.

-d nivel-depanare
    Emite informații de diagnosticare la nivelul-depanare (0-9) în fișierul curent .pine-debug[1-4]. O valoare de 0 dezactivează depanarea și suprimă fișierul .pine-debug.

-d cheie[=valoare]
    Ieșire ajustată fin a mesajelor de diagnosticare în care „flush” determină scrierea fișierelor de depanare fără stocare în memoria tampon, „timestamp” adaugă fiecărui mesaj o marcă temporală, „imap=n” unde n este cuprins între 0 și 4, reprezentând raportarea telemetrică IMAP de la zero la foarte detaliată, „numfiles=n” unde n este cuprins între 0 și 31, corespunzând numărului de fișiere de depanare care trebuie menținute, și „verbose=n” unde n este cuprins între 0 și 9, indicând un prag invers pentru ieșirea mesajelor.

-f dosar
    Deschide dosar (în prima colecție de dosare definită, utilizați -c n pentru a specifica o altă colecție) în loc de INBOX.

-F fișier
    Deschide fișierul text numit și-l vizualizează cu navigatorul Alpine.

-h  Ajutor: listează opțiunile valide pentru linia de comandă.

-i  Pornește în ecranul FOLDER INDEX (index dosar).

-I taste-comenzi
    Comenzile inițiale (listă de „taste-comenzi” separate prin virgulă) pe care Alpine trebuie să le execute la pornire.

-install
    Numai pentru PC-Alpine, această opțiune face ca PC-Alpine să solicite câteva informații de configurare de bază, apoi iese.

-k  Utilizează tastele de funcții pentru comenzi. Aceasta este același lucru cu executarea comenzii alpinef.

-n număr
    Pornește cu numărul curent al mesajului fixat la număr.

-nowrite_password_cache
    Citește dintr-o memorie cache de parole, dacă există una, dar nu se oferă niciodată să scrie o parolă în memoria cache.

-o  Deschide primul dosar numai-pentru-citire.

-p fișier-configurare
    Utilizează fișier-configurare ca fișier de configurare personal în locul fișierului implicit .pinerc.

-P fișier-configurare
    Utilizează fișier-configurare ca fișier de configurare în locul fișierului implicit de configurare la nivel de sistem pine.conf.

-passfile <rută-fișier>
    Atunci când este compilat suportul pentru fișiere de parole, utilizează fișierul specificat în <rută-fișier> în locul celui implicit.

-pinerc fișier
    Trimite o nouă configurație pinerc la fișier, păstrând valorile variabilelor stabilite de utilizator. Folosiți fișier definit la „-” pentru ca ieșirea să fie trimisă la ieșirea standard.

-pwdcertdir <rută-director>
    Atunci când sunt compilate SMIME și suportul pentru fișiere de parole, această variabilă stabilește directorul în care se stochează cheia și certificatul personal pentru criptarea și decriptarea fișierului de parole.

-r  Utilizează modul restricționat/demo. alpine va trimite mesaje doar către el însuși, iar funcțiile precum salvarea și exportul sunt restricționate.

-registry comandă
    Numai pentru PC-Alpine, această opțiune afectează valorile intrărilor din registrul Alpine. Valorile posibile pentru comandă sunt „set”, „clear” și „dump”. set va reinițializa întotdeauna intrările de registru ale Alpine în conformitate cu configurația curentă a acesteia. clear va șterge valorile din registru. clearsilent va șterge silențios valorile din registru. dump va afișa valorile parametrilor actuali ai registrului. Rețineți că, în prezent, comanda „dump” este dezactivată. Fără opțiunea „-registry”, PC-Alpine va scrie valori în registru numai dacă în prezent nu există valori definite.

-smimedir <rută-director>
    În cazul în care suportul pentru SMIME este compilat, acest argument stabilește directorul în care sunt stocate certificatele și cheile publice, private și ale autorităților de certificare. Dacă nu este definit prin linia de comandă, valoarea implicită este „~/.alpine-smime”.

-sort ordine
    Sortează afișarea FOLDER INDEX în una dintre următoarele ordine: arrival (sosire), date (data), subject (subiect), orderedsubj (subiecte ordonate), thread (fir), from (de la), size (dimensiune), score (punctaj), to (către), cc (copie la indigo), sau reverse (inversare). Ordinea arrival este cea implicită. Opțiunea orderedsubj simulează o sortare pe fir. Orice sortare poate fi inversată adăugând /reverse la aceasta. reverse de una singură este același lucru cu arrival/reverse.

-supported
    Este posibil ca unele opțiuni să fie sau să nu fie acceptate în funcție de modul în care a fost compilat alpine. Aceasta este o modalitate de a determina ce opțiuni sunt acceptate în copia specială a alpine pe care o utilizați.

-uninstall
    Numai pentru PC-Alpine, această opțiune face ca PC-Alpine să elimine referințele la Alpine din configurațiile Windows.

-url url
    Deschide adresa url dată. Nu poate fi utilizată cu opțiunile -f sau -F.

-v  Versiune: afișează informațiile despre versiune.

-version
    Versiune: afișează informațiile despre versiune.

-x configurare
    Utilizează excepțiile de configurare din configurare. Excepțiile sunt utilizate pentru a anula configurările pinerc implicite pentru o anumită platformă, poate fi un fișier local sau un dosar la distanță.

-xoauth2-server NumeServer
    Numele serviciului pentru care se va încerca autentificarea XOAUTH2. Singurul serviciu acceptat până în momentul redactării acestui articol este Gmail. Rețineți că toate opțiunile „-xoauth2-server”, „-xoauth2-client-id” și „-xoauth2-client-secret” trebuie să fie utilizate simultan. Exemplu: „-xoauth2-server Gmail”.

-xoauth2-client-id Id-Client
    Șir de caractere care identifică Alpine cu furnizorul de servicii care asigură autentificarea XOAUTH2. Rețineți că toate opțiunile „-xoauth2-server”, „-xoauth2-client-id” și „-xoauth2-client-secret” trebuie să fie utilizate simultan.

-xoauth2-client-secret Secret-Client
    Șir secret care identifică Alpine cu furnizorul de servicii care asigură autentificarea XOAUTH2. Rețineți că toate opțiunile „-xoauth2-server”, „-xoauth2-client-id” și „-xoauth2-client-secret” trebuie să fie utilizate simultan.

-z  Activează ^Z și SIGTSTP pentru ca alpine să poată fi suspendat.

-option=valoare
    Atribuie valoare la opțiunea de configurare opțiune, de exemplu „-signature-file=sig1” sau „-feature-list=signature-at-bottom”. Notă: valorile listei de caracteristici sunt cumulative.

CONFIGURARE

Există mai multe niveluri de configurare Alpine. Valorile de configurare de la un anumit nivel prevalează asupra valorilor corespunzătoare de la nivelurile inferioare. În ordine crescătoare de prioritate:

 o încorporate implicit.
 o fișierul pine.conf la nivel de sistem.
 o fișierul personal .pinerc (poate fi definit prin intermediul meniului încorporat Setup/Config).
 o opțiunile din linia de comandă.
 o fișierul pine.conf.fixed la nivel de sistem.

Există o excepție de la regula conform căreia valorile de configurare sunt înlocuite de valoarea aceleiași opțiuni dintr-un fișier cu prioritate mai mare: variabila „feature-list” are valori care sunt adiționale, dar care pot fi negate prin adăugarea lui „no-” în fața numelui unei caracteristici individuale. Unix Alpine utilizează, de asemenea, următoarele variabile de mediu:

  TERM
  DISPLAY (determină dacă Alpine poate afișa atașamente IMAGINE)
  SHELL (dacă nu este definită, valoarea implicită este „/bin/sh”)
  MAILCAPS (listă delimitată cu punct și virgulă de nume de rute către fișierele mailcap)

FIȘIERE

/var/spool/mail/xxxx    Dosarul implicit pentru corespondența primită.
~/mail    Directorul implicit pentru dosarele de corespondență.
~/.addressbook    Fișierul implicit al agendei de adrese.
~/.signature    Fișierul utilizat pentru semnătură, atașat la fiecare mesaj.
~/.pine-debug[1-4]    Jurnalul de diagnosticare pentru depanare.
~/.pinerc    Fișierul personal de configurare al «alpine».
~/.pine-crash    Informații de depanare utile pentru depanarea unui eveniment
nedorit.
~/.newsrc    Fișierul de abonare/stare la știri.
~/.mailcap    Fișierul personal cu capacități de poștă electronică.
~/.mime.types    Fișierul personal de extensie pentru corespondența tipului
MIME.
/etc/mailcap    Fișierul de capacități de poștă electronică la nivel de sistem.
/etc/mime.types    Fișierul de extensie pentru corespondența tipului MIME la
nivel de sistem.
/etc/pine.info    Indicator local către administratorul de sistem.
/etc/pine.conf    Fișierul de configurare la nivelul întregului sistem
(global).
/etc/pine.conf.fixed     Fișier de configurare care nu poate fi suprascris.
~/.alpine-smime/ca    Directorul care conține fișierele autorității de
certificare.
~/.alpine-smime/private    Directorul care conține cheile private.
~/.alpine-smime/public    Directorul care conține cheile publice.
/tmp/.\usr\spool\mail\xxxx    Fișiere de blocare a căsuței poștale pentru
fiecare dosar în parte.
~/.pine-interrupted-mail    Mesajul care a fost întrerupt.
~/mail/postponed-msgs    Pentru mesajele amânate (ciorne).
~/mail/sent-mail    Arhiva mesajelor de ieșire (FCC).
~/mail/saved-messages    Destinația implicită pentru mesajele de salvat.

CONSULTAȚI ȘI

pico(1), binmail(1), aliases(5), mailaddr(7), sendmail(8), spell(1), imapd(8)

Grup de știri: comp.mail.pine

Lista de discuții:
Informații despre Alpine, la adresa https://www.washington.edu/alpine/alpine-info/

Principala locație de distribuție a Alpine:
http://repo.or.cz/alpine.git

Note tehnice Alpine, incluse în distribuția sursei.

Biblioteca API de mesagerie C-Client, inclusă în distribuția sursă.

MULȚUMIRI

Acest software este rezultatul contribuției mai multor persoane care
și-au dedicat timpul pentru a sprijini, îmbunătăți și sugera modalități
de a îmbunătăți Alpine de-a lungul anilor. Acest software nu ar fi fost
posibil fără sprijinul Universității din Washington în Seattle, Washington.
Comunitatea Alpine își exprimă cele mai sincere mulțumiri tuturor
contribuitorilor și invită pe toată lumea să se alăture și să contribuie
la acest proiect.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.